Open account
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
- Core.Account.Closed
API reference
Creates a deposit account for a specific customer using the customer ID and based on the product ID for that type of account.
Endpoint: /v1/dda/accounts
POST
https://sandbox.crbcos.com/core/v1/dda/accounts
Body Parameters
- customerIdstringrequiredDescription
- productIdstringrequiredDescription
- titlestringrequiredDescription
- statementAddressobjectrequiredDescription
- street1stringrequiredDescription
- street2stringDescription
- street3stringDescription
- citystringrequiredDescription
- statestringDescription
- postalCodestringrequiredDescription
- countryCodestringrequiredDescription
- clientIdentifierstringDescription
- rateCardstringDescription
Response
- accountNumberstringDescription
- statusstringDescription
- accountTypestringDescription
- ledgerTypestringDescription
- classificationstringDescription
- productTypestringDescription
- closureReasonstringDescription
- productIdstringDescription
- titlestringDescription
- currentBalanceintegerDescription
- holdAmountintegerDescription
- transactionCountintegerDescription
- availableBalanceintegerDescription
- creditLimitintegerDescription
- overdraftFundingEnabledbooleanDescription
- overdraftFundingThresholdintegerDescription
- overdraftFundingAccountNumberstringDescription
- currencystringDescription
- customerIdstringDescription
- statementAddressobjectDescription
- street1stringDescription
- street2stringDescription
- street3stringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- openedAtstringDescription
- lastMaintenanceAtstringDescription
- lastContactAtstringDescription
- lastTransactedAtstringDescription
- closedAtstringDescription
- clientIdentifierstringDescription
- partnerIdstringDescription
- lastModifiedAtstringDescription
- rateCardstringDescription
- balancesobjectDescription
- accountNumberstringDescription
- isSubAccountbooleanDescription
- currencystringDescription
- currentBalanceintegerDescription
- availableBalanceintegerDescription
- holdAmountintegerDescription
- transactionCountintegerDescription
- lastModifiedAtstringDescription
- lastTransactedAtstringDescription
curl
curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-key: 025aaf3e-87e5-46e6-ba60-2071c3a69be8' \
--data '{
"customerId": "53c34cf0-4cd2-4768-937b-b30000dffdca",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"title": "Jerry Penn",
"statementAddress": {
"street1": "12 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
}
}
'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/core/v1/dda/accounts',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Idempotency-key': '025aaf3e-87e5-46e6-ba60-2071c3a69be8'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = JSON.stringify({
"customerId": "53c34cf0-4cd2-4768-937b-b30000dffdca",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"title": "Jerry Penn",
"statementAddress": {
"street1": "12 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
}
});
req.write(postData);
req.end();python
import requests
import json
url = "https://sandbox.crbcos.com/core/v1/dda/accounts"
payload = json.dumps({
"customerId": "53c34cf0-4cd2-4768-937b-b30000dffdca",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"title": "Jerry Penn",
"statementAddress": {
"street1": "12 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
}
})
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Idempotency-key': '025aaf3e-87e5-46e6-ba60-2071c3a69be8'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://sandbox.crbcos.com/core/v1/dda/accounts")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request["Idempotency-key"] = "025aaf3e-87e5-46e6-ba60-2071c3a69be8"
request.body = JSON.dump({
"customerId": "53c34cf0-4cd2-4768-937b-b30000dffdca",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"title": "Jerry Penn",
"statementAddress": {
"street1": "12 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
}
})
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/core/v1/dda/accounts"
method := "POST"
payload := strings.NewReader(`{
"customerId": "53c34cf0-4cd2-4768-937b-b30000dffdca",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"title": "Jerry Penn",
"statementAddress": {
"street1": "12 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
}
}
`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Idempotency-key", "025aaf3e-87e5-46e6-ba60-2071c3a69be8")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"accountNumber": "2819503463",
"status": "Active",
"accountType": "Deposit",
"ledgerType": "Passthrough",
"classification": "Personal",
"productType": "Checking",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"title": "Jerry Penn",
"currentBalance": 0,
"holdAmount": 0,
"transactionCount": 0,
"availableBalance": 0,
"creditLimit": 0,
"overdraftFundingEnabled": false,
"overdraftFundingThreshold": 0,
"currency": "usd",
"customerId": "53c34cf0-4cd2-4768-937b-b30000dffdca",
"statementAddress": {
"street1": "12 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
},
"openedAt": "2025-06-18T09:41:00.9073289-04:00",
"lastMaintenanceAt": "2025-06-18T09:41:00.9073289-04:00",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2025-06-18T09:41:00.9073289-04:00"
}